Subject: Re: linux-next: manual merge of the kvm tree with the s390 tree

From: David Hildenbrand <[email-masked]>
Date: Thu, 14 Jul 2016 08:58:13 +0200

> Hi all,
> 
> Today's linux-next merge of the kvm tree got a conflict in:
> 
>   arch/s390/mm/gmap.c
> 
> between commit:
> 
>   f04540298440 ("s390/mm: fix gmap tlb flush issues")
> 
> from the s390 tree and commit:
> 
>   6ea427bbbd40 ("s390/mm: add reference counter to gmap structure")
> 
> from the kvm tree.
> 
> I fixed it up (I just assumed that the update to gmap_free is no longer
> needed) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.
> 

Yes, the tlb flush will be done in gmap_remove() instead of in gmap_free(),
which is also fixed by commit f04540298440. Unfortunately, that stable fix was
inevitable and collided with the already submitted patches for nested
virtualization.

Thanks for fixing that up, looks good to me.

David